1. subscriptions
Google Workspace Reseller API
  • customers
    • /apps/reseller/v1/customers
      POST
    • /apps/reseller/v1/customers/{customerId}
      GET
    • /apps/reseller/v1/customers/{customerId}
      PATCH
    • /apps/reseller/v1/customers/{customerId}
      PUT
  • subscriptions
    • /apps/reseller/v1/customers/{customerId}/subscriptions
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}
      DELETE
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}
      GET
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/activate
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changePlan
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changeRenewalSettings
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changeSeats
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/startPaidService
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/suspend
      POST
    • /apps/reseller/v1/subscriptions
      GET
  • resellernotify
    • /apps/reseller/v1/resellernotify/getwatchdetails
      GET
    • /apps/reseller/v1/resellernotify/register
      POST
    • /apps/reseller/v1/resellernotify/unregister
      POST
  • Schemas
    • Schemas
      • Address
      • ChangePlanRequest
      • Customer
      • PrimaryAdmin
      • RenewalSettings
      • ResellernotifyGetwatchdetailsResponse
      • ResellernotifyResource
      • Seats
      • Subscription
      • Subscriptions
  1. subscriptions

/apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changeSeats

POST
/apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changeSeats
Updates a subscription's user license settings. For more information about updating an annual commitment plan or a flexible plan subscription’s licenses, see Manage Subscriptions.

Request

Path Params

Body Params application/json

Examples

Responses

🟢200Successful response
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://reseller.googleapis.com//apps/reseller/v1/customers//subscriptions//changeSeats' \
--header 'Content-Type: application/json' \
--data-raw '{
    "kind": "subscriptions#seats",
    "licensedNumberOfSeats": 0,
    "maximumNumberOfSeats": 0,
    "numberOfSeats": 0
}'
Response Response Example
{
    "billingMethod": "string",
    "creationTime": "string",
    "customerDomain": "string",
    "customerId": "string",
    "dealCode": "string",
    "kind": "reseller#subscription",
    "plan": {
        "commitmentInterval": {
            "endTime": "string",
            "startTime": "string"
        },
        "isCommitmentPlan": true,
        "planName": "string"
    },
    "purchaseOrderId": "string",
    "renewalSettings": {
        "kind": "subscriptions#renewalSettings",
        "renewalType": "string"
    },
    "resourceUiUrl": "string",
    "seats": {
        "kind": "subscriptions#seats",
        "licensedNumberOfSeats": 0,
        "maximumNumberOfSeats": 0,
        "numberOfSeats": 0
    },
    "skuId": "string",
    "skuName": "string",
    "status": "string",
    "subscriptionId": "string",
    "suspensionReasons": [
        "string"
    ],
    "transferInfo": {
        "currentLegacySkuId": "string",
        "minimumTransferableSeats": 0,
        "transferabilityExpirationTime": "string"
    },
    "trialSettings": {
        "isInTrial": true,
        "trialEndTime": "string"
    }
}
Modified at 2022-09-11 23:42:40
Previous
/apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changeRenewalSettings
Next
/apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/startPaidService
Built with